#!/usr/local/bin/perl -w
use strict; use Tk;

my $mw = new MainWindow;
$mw->title("Menubutton with Cascade");
my $mb = $mw->Menubutton(-text => "Menubutton", -indicatoron => 1,
                         -menuitems =>
                            [ ['command' => 'Item 1'],
                              '-'
                            ]
                        )->pack();

#make a submenu to be cascaded:
my $menu1 = $mb->Menu;
foreach (qw/1 2 3 4 5/) {
   $menu1->add('command', -label => $_);
}

#make a another submenu:
my $menu2 = $mb->Menu;
foreach (qw/A B C D/) {
  $menu2->radiobutton(-label => $_);
}

#now add those cascade entries:
$mb->cascade(-label => "Numbers");
$mb->cascade(-label => "Letters");

#now configure those cascade entries to point to submenu
$mb->entryconfigure("Numbers", -menu => $menu1);
$mb->entryconfigure("Letters", -menu => $menu2);

$mw->Button(-text => "Exit", -command => sub {exit}
           )->pack(-side => "bottom", -fill => "x");
MainLoop;

